Subject: Re: linux-next: build failure after merge of the usb tree with the scsi tree

From: Greg KH <[email-masked]>
Date: Wed, 13 Oct 2010 06:36:07 -0700

On Wed, Oct 13, 2010 at 02:25:58PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the usb tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/scsi/sd.c: In function 'read_capacity_10':
> drivers/scsi/sd.c:1637: error: 'struct scsi_disk' has no member named 'hw_sector_size'
> 
> Caused by commit a488ec87ee2e79911d10425cb0c0264290905b38 ("scsi/sd: add
> a no_read_capacity_16 scsi_device flag") interacting with commit
> 526f7c7950bbf1271e59177d70d74438c2ef96de ("[SCSI] sd: Fix overflow with
> big physical blocks") from the scsi tree.
> 
> I have applied the following patch for today and will carry it as a merge
> fix as necessary.

Thanks for carrying the fix, I'll make sure to keep it in mind if I end
up merging after James does with Linus.

thanks,

greg k-h